﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;
using Telerik.Windows;

namespace MediaPlayerFullScreen
{
	public partial class Page : UserControl
	{
		private TimeSpan currentMediaElementPosition;
		private Popup popUp = new Popup();
		
		public Page()
		{
			InitializeComponent();
			Application.Current.Host.Content.FullScreenChanged += new EventHandler(this.Content_FullScreenChanged);
		}

		private void Content_FullScreenChanged(object sender, EventArgs e)
		{
			if (Application.Current.Host.Content.IsFullScreen)
			{
				RadMediaPlayer1.Width = Application.Current.Host.Content.ActualWidth;
				RadMediaPlayer1.Height = Application.Current.Host.Content.ActualHeight;

				popUp.IsOpen = true;
				LayoutRoot.Children.Remove(RadMediaPlayer1);
				popUp.Child = RadMediaPlayer1;
			}
			else
			{
				RadMediaPlayer1.Width = 800;
				RadMediaPlayer1.Height = 600;
				popUp.Child = null;

				if (!LayoutRoot.Children.Contains(RadMediaPlayer1))
				{
					LayoutRoot.Children.Add(RadMediaPlayer1);
				}

				RadMediaPlayer1.IsFullScreen = false;
			}
		}

		private void RadMediaPlayer1_FullScreenChanged(object sender, EventArgs e)
		{
			this.currentMediaElementPosition = RadMediaPlayer1.MediaElement.Position;

			Application.Current.Host.Content.IsFullScreen = RadMediaPlayer1.IsFullScreen;
		}

		private void RadMediaPlayer1_MediaOpened(object sender, RadRoutedEventArgs e)
		{
			RadMediaPlayer1.MediaElement.Position = this.currentMediaElementPosition;
			RadMediaPlayer1.MediaElement.Play();
		}
	}
}
